import { phoneRegisterReset, registerVerify} from '../../api/api.js';
import {userEdit} from '../../api/user.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    parameter: {
      'navbar': '1',
      'return': '1',
      'title': '修改登录密码',
    },
    disabled: false,
    active: false,
    timetext: '获取验证码',
    userInfo:{},
    phone:'',
  },

  

  onLoadFun:function(e){
    let userInfo = e.detail;
    let tel = userInfo.phone;
    let phone = tel.substr(0, 3) + "****" + tel.substr(7);
    this.setData({ userInfo: e.detail, phone: phone});
  },

  /**
   * H5登录 修改密码
   * 
  */
 PassSubmit:function(e){
    let that = this;
    var datainfo = e.detail.value;
    console.log(datainfo);
    if (!datainfo.old_pwd) return app.Tips({title:'请输入旧密码'});
    if (!datainfo.pwd) return app.Tips({title:'请输入新密码'});
    if (!datainfo.qr_pwd) return app.Tips({title:'请输入确认密码'});
    if (datainfo.pwd != datainfo.qr_pwd) return app.Tips({title:'两次输入的密码不一致！'});
   
    userEdit(datainfo).then(res=>{
      return app.Tips({title:res.msg},{tab:3,url:1},function () {
        wx.navigateBack({ delta: 1 });
      });
    }).catch(err=>{
      return app.Tips({title:err});
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  }
})